org.kie.api.internal.utils

## Class ServiceRegistry.Impl

- java.lang.Object
- - org.kie.api.internal.utils.ServiceRegistry.Impl

- All Implemented Interfaces:
    ServiceRegistry, Service
  Enclosing interface:
    ServiceRegistry

      public static class ServiceRegistry.Impl
      extends Object
      implements ServiceRegistry

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.api.internal.utils.ServiceRegistry

      `ServiceRegistry.Impl, ServiceRegistry.ServiceRegistryHolder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Impl()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `get(Class<T> cls)`
    `<T> List<T>` | `getAll(Class<T> cls)`
    `static ServiceRegistry` | `getServiceRegistry()`
    `void` | `reload()`
    `void` | `reset()`
    `static void` | `setSupplier(Supplier<ServiceRegistry> supplier)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.internal.utils.ServiceRegistry

      `getInstance, getService, ifSupported, isSupported`

- - ### Constructor Detail

    - #### Impl

          public Impl()

  - ### Method Detail

    - #### reset

          public void reset()

    - #### reload

          public void reload()

    - #### get

          public <T> T get(Class<T> cls)

      Specified by:
        `get` in interface `ServiceRegistry`

    - #### getAll

          public <T> List<T> getAll(Class<T> cls)

      Specified by:
        `getAll` in interface `ServiceRegistry`

    - #### getServiceRegistry

          public static ServiceRegistry getServiceRegistry()

    - #### setSupplier

          public static void setSupplier(Supplier<ServiceRegistry> supplier)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.